For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
      • GETRetrieve a Verification
      • DELRedact a Verification
      • GETPrint Verification PDF
      • AAMVA Verifications
      • eCBSV Database Verifications
      • Phone Carrier Database Verifications
      • Serpro Database Verifications
      • Tin Database Verifications
      • Database Verifications
      • Database Standard Verifications
      • Document Verifications
      • Email Address Verifications
      • Government ID Verifications
        • GETRetrieve a Government ID Verification
      • Government ID NFC Verifications
      • Phone Number Verifications
      • Selfie Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceVerificationsGovernment ID Verifications

Retrieve a Government ID Verification

GET
https://api.withpersona.com/api/v1/verification/government-ids/:verification-id
GET
/api/v1/verification/government-ids/:verification-id
$curl https://api.withpersona.com/api/v1/verification/government-ids/verification-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "ver_ABC123",
4 "attributes": {
5 "address-city": "SAN FRANCISCO",
6 "address-postal-code": "94111",
7 "address-street-1": "123 MAIN ST",
8 "address-street-2": null,
9 "address-subdivision": "CA",
10 "back-photo-url": null,
11 "birthdate": "1990-01-01",
12 "birthplace": null,
13 "capture-method": "upload",
14 "checks": [],
15 "completed-at": "2024-03-20T21:22:31.000Z",
16 "completed-at-ts": 1710969751,
17 "country-code": "US",
18 "created-at": "2024-03-20T21:22:25.000Z",
19 "created-at-ts": 1710969745,
20 "designations": [],
21 "document-number": null,
22 "endorsements": null,
23 "entity-confidence-reasons": [
24 "generic"
25 ],
26 "entity-confidence-score": 96.1831512451172,
27 "expiration-date": "2025-01-01",
28 "from-reusable-persona": false,
29 "front-photo-url": "https://files.withpersona.com/id-front.jpg?access_token=ACCESS_TOKEN",
30 "height": null,
31 "id-class": "dl",
32 "identification-number": "Y123ABC",
33 "issue-date": "2020-07-28",
34 "issuing-authority": null,
35 "issuing-subdivision": "CA",
36 "name-first": "JANE",
37 "name-last": "DOE",
38 "name-middle": null,
39 "name-suffix": null,
40 "nationality": null,
41 "native-name-first": "三",
42 "native-name-last": "张",
43 "native-name-middle": null,
44 "native-name-title": null,
45 "photo-urls": [
46 {
47 "byte-size": 2849115,
48 "normalized-url": "https://files.withpersona.com/id-front.jpg?access_token=ACCESS_TOKEN",
49 "original-urls": [
50 "https://files.withpersona.com/id-front.jpg?access_token=ACCESS_TOKEN"
51 ],
52 "page": "front",
53 "url": "https://files.withpersona.com/id-front.jpg?access_token=ACCESS_TOKEN"
54 }
55 ],
56 "restrictions": null,
57 "selfie-photo": {
58 "byte-size": 201105,
59 "url": "https://files.withpersona.com/selfie-photo.jpg?access_token=ACCESS_TOKEN"
60 },
61 "selfie-photo-url": "https://files.withpersona.com/selfie-photo.jpg?access_token=ACCESS_TOKEN",
62 "sex": null,
63 "status": "passed",
64 "submitted-at": "2024-03-20T21:22:25.000Z",
65 "submitted-at-ts": 1710969745,
66 "vehicle-class": null,
67 "video-url": null,
68 "visa-status": null
69 },
70 "relationships": {
71 "document": {
72 "data": {
73 "id": "doc_ABC123",
74 "type": "document/government-id"
75 }
76 },
77 "inquiry": {
78 "data": {
79 "id": "inq_ABC123",
80 "type": "inquiry"
81 }
82 },
83 "inquiry-template": {
84 "data": {
85 "type": "inquiry-template",
86 "id": "itmpl_ABC123"
87 }
88 },
89 "inquiry-template-version": {
90 "data": {
91 "type": "inquiry-template-version",
92 "id": "itmplv_ABC123"
93 }
94 },
95 "template": {
96 "data": null
97 },
98 "transaction": {
99 "data": null
100 },
101 "verification-template": {
102 "data": {
103 "type": "verification-template/government-id",
104 "id": "vtmpl_ABC123"
105 }
106 },
107 "verification-template-version": {
108 "data": {
109 "type": "verification-template-version/government-id",
110 "id": "vtmplv_ABC123"
111 }
112 }
113 },
114 "type": "verification/government-id"
115 }
116}
Retrieve a government ID verification
Was this page helpful?
Previous

Government ID NFC Verifications

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

verification-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Government ID Verification object and (optionally) its related objects in included.

dataobject
A Government ID Verification

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.